Subject: Re: linux-next: gfs2 tree build failure

From: Steven Whitehouse <[email-masked]>
Date: Fri, 27 Jun 2008 10:48:41 +0100

Hi,

On Fri, 2008-06-27 at 15:12 +1000, Stephen Rothwell wrote:
> Hi Steven,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> ERROR: "gdlm_release_all_locks" [fs/gfs2/locking/dlm/lock_dlm.ko] undefined!
> 
> Commit 98ea8e79ff4dfa804690831248881fa6b2145978 ("[GFS2] Remove all_list
> from lock_dlm") missed one call site of the gdlm_release_all_locks
> function which it removed.  It also neglected to remove the declaration
> of that function from fs/gfs2/locking/dlm/lock_dlm.h. I have reverted
> that commit.
> 
> Sorry, Steven, but I don't see how that could have been build tested ...
> please take a little more care.
> 

Sorry. I've just pushed a fix to that. I'm not sure how that slipped
through other than to say that it did build (I just tried it) so that is
why it wasn't spotted,

Steve.